{% extends "base.html" %}
{% load static %}

{% block headone %}
<title>Donasi Sosial</title>
<link rel="stylesheet" type="text/css" href="{% static 'css/donasi_sosial.css' %}">
<script src="{% static 'js/searchDonasiSosial.js' %}"></script>

{% endblock %}


{% block content %}

<!-- HEADER -->
<div id="gambar-atas">
    <p class="judul">Donasi Sosial</p>
    <p class="deskripsiJudul">Make a better life by helping each other</p>
    <a href="/donasi-sosial/#program-donasi" style="padding-bottom: 50px; " class="center">
        <button type="submit" class="btn rounded-pill" style="background-color: #772E25; color: #ffffff;">Mulai
            Berdonasi!</button>
    </a>
</div>

<!-- PROGRAM DONASI -->
<div class="container-fluid" id="program_donasi">


    <div id="program-donasi">
        <p class="judulProgramDonasi">Program Donasi</p>

        {%if user.is_authenticated%}


        <div class="" id="sp_search" style="margin-bottom: 0px;">
            <div class="search_container">
                <input id="search_input" class="form-control" type="text" name="query"
                    placeholder="filter judul donasi..." style="width: 500px;">
                <div class="">
                    <input class="submit  btn rounded-pill btn-donasi center" type="submit" id="search_submit" value="Search" >
                </div>
            </div>

        </div>
        <div id="kesini" style="margin-bottom: 50px;">
            <a href="/donasi-sosial/" class="btn rounded-pill  center" style=" background-color: #29505c; color: #ffffff; width: 150px;">Hapus Filter</a>
        </div>

        <!-- hasil -->
        <div class="row" id="sp_result"></div>
        <!-- hasil -->

        <p>Coming soon...</p>
        {% else %}

        <div class="" id="sp_search" style="margin-bottom: 50px;">
            <p style="font-size: 13px;">Ingin bisa memfilter donasi? Silakan Login terlebih dahulu</p>

            <div class="search_container">
                <input id="search_input" class="form-control" type="text" name="query"
                    placeholder="filter judul donasi..." style="width: 500px;">
                <a href="{% url 'Login:login' %}" class="btn rounded-pill btn-donasi center" style="">Login</a>
                
            </div>


        </div>

        <div class="row ">
            {% if programs %}
            {% for program in programs %}

            <div class="col-lg-4 col-sm-6 mb-4">
                <div class="card">
                    <img class="card-img-top" src='/{{ program.photo }}'>
                    <div class="card-body">
                        <h5 class="card-title">{{ program.name }}</h5>

                        <p class="card-text">Sisa hari: {{ program.remDay }} hari lagi <br> Target : Rp.
                            {{ program.target }}</p>



                        <div class="center" style="margin-top: 30px;">
                            <p style="font-size: 10px;">Ingin berdonasi? Silakan Login/Register terlebih dahulu</p>
                        </div>

                        <div class="center">
                            <a href="{% url 'Login:login' %}" class="btn rounded-pill btn-donasi" style="">Login</a>
                            <a href="{% url 'user:register' %}" class="btn rounded-pill btn-donasi"
                                style="">Register</a>
                        </div>

                        <div class="center">
                            <a href="{% url 'programs:list_donatur' program=program.pk%}" class="btn rounded-pill "
                                style="background-color: #ffffff; color: #772E25; text-decoration: underline;">List
                                Donatur</a>
                        </div>

                    </div>
                </div>
            </div>


            {% endfor %}

            
            {% else %}
            <div class="col-sm-12">
                <div class="roundedrec">
                    <div class="insiderec">
                        <h4 class="w3-left-align" style="color: #772E25"><strong>Tidak ada program</strong></h4>
                    </div>
                </div>
            </div>
            {% endif %}

            
            {% endif %}

        </div>

        {%if user.is_authenticated%}
        {% else %}

        <br>
        <p>Coming soon...</p>
        {% endif %}

    </div>

    <div class="row content">
        <!-- FORMULIR DONASI -->
        <div class="col-md-6 ">
            <p class="teks2"> <span class="sepan">Hai, #OrangOrangBaik!</span> <br> Terima kasih atas Donasi yang Anda
                keluarkan! Donasi tersebut sangat berguna bagi pemulihan COVID-19 yang ada di Indonesia. Dengan #Donavid
                Indonesia pasti bisa lalui Pandemi Ini!</p>
        </div>
        <!-- FOTO DONASI -->
        <div class="col-md-6 center order-1 order-md-2">
            <img class="fotoDetailDonasi" src='../static/img/bottomanimation.png'>
        </div>
    </div>

</div>

<script>
    window.onscroll = function () { myFunction() };

    function myFunction() {
        if (document.body.scrollTop > 500 || document.documentElement.scrollTop > 500) {
            document.getElementById("program_donasi").className = "test";
        } else {
            document.getElementById("program_donasi").className = "";
        }
    }

</script>

{% endblock %}